ElectroNeek Documentation

Cette page n’est pas encore traduite en français : elle est affichée en anglais.

Get info of a Bot Runner

This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}

Valeurs possibles de {region} : na, cis, apac, latam, emea

Essayer

Envoyé depuis votre navigateur directement à l’API — rien ne transite par ce site, et le token API reste uniquement dans cet onglet.
Paramètres de chemin
Renseignez id pour envoyer cette requête.
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}'

Authentification

Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.

Paramètres de chemin

NomTypeObligatoireDescription
idstringouiBot Runner ID

Réponse

200Success
Corps de la réponse
object
iduuidobligatoire

ID of the Bot Runner

namestringobligatoire

Name of the Bot Runner

statusstring (ready, in_progress, offline)obligatoire

Status of the Bot Runner

versionstringobligatoire

Version of the Bot Runner

login_asobjectobligatoire

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringobligatoire

Name of the computer where Bot Runner is installed.

status_sincedate-time
assigned_workflowsarray of objects
object
iduuidobligatoire
namestringobligatoire
descriptionstringobligatoire
Mis à jour